Skip to main content
`Ctrl`+`K`

# NEPSetWorkVecs

Sets a number of work vectors into a `NEP` object

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetWorkVecs(NEP nep,PetscInt nw)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- nw - number of work vectors to allocate

## Developer Note

This is `SLEPC_EXTERN` because it may be required by user plugin `NEP` implementations.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetUp()`

## Level

developer

## Location

src/nep/interface/nepdefault.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages